package gmt.stddecoder.vo;

import java.time.format.DateTimeFormatter;

public class SHDynamicVO extends HeaderVO{
	int gubun;
	double latitude;
	double longitude;
	int latInt;
	int lonInt;
	double sog;
	double cog;
	String dtStr; //HHNNSS
	int dtHH;
	int dtNN;
	int dtSS;
	String mmsi;
	
	public SHDynamicVO() {
		gubun = 0;
		latitude = 91;
		longitude = 191;
		latInt = 54600000;
		lonInt = 108600000;
		sog = 1023;
		cog = 3600;
		dtStr  = "246060";
		dtHH = 24;
		dtNN = 60;
		dtSS = 60;
		mmsi = "";
	}

	public int getLatInt() {
		return latInt;
	}

	public void setLatInt(int latInt) {
		this.latInt = latInt;
	}

	public int getLonInt() {
		return lonInt;
	}

	public void setLonInt(int lonInt) {
		this.lonInt = lonInt;
	}

	public int getGubun() {
		return gubun;
	}

	public void setGubun(int gubun) {
		this.gubun = gubun;
	}

	public double getLatitude() {
		return latitude;
	}

	public void setLatitude(double latitude) {
		this.latitude = latitude;
	}

	public double getLongitude() {
		return longitude;
	}

	public void setLongitude(double longitude) {
		this.longitude = longitude;
	}

	public double getSog() {
		return sog;
	}

	public void setSog(double sog) {
		this.sog = sog;
	}

	public double getCog() {
		return cog;
	}

	public void setCog(double cog) {
		this.cog = cog;
	}


	public String getDtStr() {
		return dtStr;
	}

	public void setDtStr(String dtStr) {
		this.dtStr = dtStr;
	}

	public int getDtHH() {
		return dtHH;
	}

	public void setDtHH(int dtHH) {
		this.dtHH = dtHH;
	}

	public int getDtNN() {
		return dtNN;
	}

	public void setDtNN(int dtNN) {
		this.dtNN = dtNN;
	}

	public int getDtSS() {
		return dtSS;
	}

	public void setDtSS(int dtSS) {
		this.dtSS = dtSS;
	}

	public String getMmsi() {
		return mmsi;
	}

	public void setMmsi(String mmsi) {
		this.mmsi = mmsi;
	}
	
	public String getString() {
		return "TargetSensor : "+this.targetSensor+"\n"+
				"packetID    : "+this.packetID+"\n"+
				"ShipID      : "+this.shipID+"\n"+
				"DateTime    : "+this.dateTime.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss.SSS"))+"\n"+
				"AreaID 	 : "+this.areaID+"\n"+
				"MsgType 	 : "+this.msgType+"\n"+
				"DataLength  : "+this.dataLength+"\n"+
				"gubun		 : "+String.valueOf(this.gubun) + "\n" +
				"latitude    : "+String.valueOf(this.latitude) + "\n" +
				"longitude   : "+String.valueOf(this.longitude) + "\n" +
				"latInt	 	 : "+String.valueOf(this.latInt) + "\n" +
				"lonInt 	 : "+String.valueOf(this.lonInt) + "\n" + 
				"sog 		 : "+String.valueOf(this.sog) + "\n" + 
				"cog 		 : "+String.valueOf(this.cog) + "\n" + 
				"dtStr 		 : "+ this.dtStr + "\n" + 
				"dtHH        : "+ String.valueOf(this.dtHH) + "\n" +
				"dtNN        : "+ String.valueOf(this.dtNN) + "\n" +
				"dtSS        : "+ String.valueOf(this.dtSS) + "\n" +
				"mmsi        : "+ this.mmsi;	
	}
	
}
